/*
********************************************************************************
**
** Name: DSpSupport.h
**
** Description:
**
**	Support routines for using DrawSprocket.
**
********************************************************************************
*/
#ifndef __DSpSupport_h__
#define __DSpSupport_h__

#include "DrawSprocket.h"

/*
********************************************************************************
** constants
********************************************************************************
*/
#define kDisplayWidth		640
#define kDisplayHeight		480
#define kDisplayDepth		16
#define kDisplayPages		2

/*
********************************************************************************
** globals
********************************************************************************
*/
extern DSpContextAttributes gDSpContextAttributes;
extern DSpContextReference gDSpContext;

/*
********************************************************************************
** prototypes
********************************************************************************
*/
OSStatus DisplayInit( void );
OSStatus DisplayActivate( void );
OSStatus DisplayPause( void );
OSStatus DisplayFadeOut( void );
OSStatus DisplayFadeIn( void );
OSStatus DisplayRelease( void );
CGrafPtr DisplayGetBuffer( DSpBufferKind inBufferKind );
OSStatus DisplayShowBuffer( void );

#endif // __DSpSupport_h__