// Quickdraw 3D sample code
//
// Nick Thompson, AppleLink: DEVSUPPORT (devsupport@applelink.apple.com)
//
// 1994-5 Apple Computer Inc., All Rights Reserved

#ifndef _MY3DSUPPORT_H_
#define _MY3DSUPPORT_H_

// Macintosh System Stuff
#include <Files.h>
#include <Types.h>
#include <Windows.h>

// QuickDraw 3D stuff
#include <QD3D.h>
#include <QD3DGroup.h>
#include <QD3DErrors.h>
#include <QD3DView.h>

//-------------------------------------------------------------------------------------------

struct _documentRecord {
	TQ3ViewObject	leftView ;				// the view for the scene
	TQ3ViewObject	rightView ;				// the view for the scene
	TQ3CameraObject	centerCamera ;			// the Center Camera for the scene
	TQ3CameraObject	rightCamera ;			// 
	TQ3CameraObject	leftCamera ;			// 
	float			interaxialHalfDistance;

	TQ3GroupObject	fModel ;				// object in the scene being modelled
	TQ3GroupObject	fBackPlane;				// stationary plane behind object
	
	TQ3StyleObject	fInterpolation ;		// interpolation style used when rendering
	TQ3StyleObject	fBackFacing ;			// whether to draw shapes that face away from the camera
	TQ3StyleObject	fFillStyle ;			// whether drawn as solid filled object or decomposed to components
	TQ3Matrix4x4		fRotation;			// the transform for the model
	TQ3Point3D		fGroupCenter ;			// the center of the group (for rotation) 
	float			fGroupScale	;			// scaling factor to apply before drawing
};

typedef struct _documentRecord DocumentRec, *DocumentPtr, **DocumentHdl ;

//---------------------------------------------------------------------------------------
extern TQ3TransformObject gBackPlaneTransform;
extern TQ3StorageObject gMemoryStorage;

OSErr MyQD3DInitialize( void ) ;
OSErr MyQD3DExit() ;

TQ3ViewObject		MyNewView(WindowPtr theWindow) ;
TQ3DrawContextObject	MyNewDrawContext( WindowPtr theWindow) ;
TQ3CameraObject		MyNewCamera(WindowPtr theWindow) ;
TQ3GroupObject		MyNewLights(void) ;
TQ3GroupObject		MyNewModelFromFile(FSSpec *theFileSpec) ;
TQ3Status SubmitScene( DocumentPtr theDocument, Boolean inLeftView, Boolean inUseBackPlane ) ;

TQ3Point3D AdjustCamera(
	DocumentPtr			theDocument,
	short				winWidth,
	short				winHeight,
	TQ3ViewObject		theView ) ;
	
Boolean 			MetafileFileSpecify( FSSpec *theFile ) ; 
TQ3Status 			MyReadModelFromFile( TQ3FileObject theFile,TQ3GroupObject myGroup) ;
TQ3Status	PositionCameras( DocumentPtr theDocument );

TQ3GroupObject MyNewBackPlane( DocumentPtr inDocument );

#endif
