/*
 *	File:		TS3Resource.h
 *
 *	Copyright  1996 Apple Computer, Inc.
 */

#ifndef __TS3Resource__
#define __TS3Resource__

// ALRTs
enum {
	kAlrtID_About			= 128,
	kAlrtID_FailTest,
	kAlrtID_BadSndLoad,
	kAlrtID_BadField,
	kAlrtID_FilterNotInstalled,
	kAlrtID_SoundMgrVersion,
	kAlrtID_FilterVersion,
	kAlrtID_Error
};

// Dialog items for kAlrtID_Error
enum {
	kErrorItem_Continue		= 1,
	kErrorItem_Ignore,
	kErrorItem_Quit
};

// DLOGs
enum {
	kDlogID_Feedback		= 129,
	kDlogID_LoLevel			= 1000,
	kDlogID_HiLevel			= 2000
};

// Dialog items for kDlogID_Feedback
enum {
	kFeedbackItem_UpdatesLabel	= 1,
	kFeedbackItem_Updates,
	kFeedbackItem_CPULoadLabel,
	kFeedbackItem_CPULoad,
	kFeedbackItem_MediumLabel,
	kFeedbackItem_Medium,
	kFeedbackItem_HumidityLabel,
	kFeedbackItem_Humidity,
	kFeedbackItem_RoomSizeLabel,
	kFeedbackItem_RoomSize,
	kFeedbackItem_RoomReflectivityLabel,
	kFeedbackItem_RoomReflectivity,
	kFeedbackItem_ReverbAttenuationLabel,
	kFeedbackItem_ReverbAttenuation,
	kFeedbackItem_SourceModeLabel,
	kFeedbackItem_SourceMode,
	kFeedbackItem_ReferenceDistanceLabel,
	kFeedbackItem_ReferenceDistance,
	kFeedbackItem_ConeAngleCosLabel,
	kFeedbackItem_ConeAngleCos,
	kFeedbackItem_ConeAttenuationLabel,
	kFeedbackItem_ConeAttenuation,
	kFeedbackItem_ElevationLabel,
	kFeedbackItem_Elevation,
	kFeedbackItem_AzimuthLabel,
	kFeedbackItem_Azimuth,
	kFeedbackItem_DistanceLabel,
	kFeedbackItem_Distance,
	kFeedbackItem_ProjectionAngleLabel,
	kFeedbackItem_ProjectionAngle,
	kFeedbackItem_SourceVelocityLabel,
	kFeedbackItem_SourceVelocity,
	kFeedbackItem_ListenerVelocityLabel,
	kFeedbackItem_ListenerVelocity,
	kFeedbackItem_Reserved0Label,
	kFeedbackItem_Reserved0,
	kFeedbackItem_Reserved1Label,
	kFeedbackItem_Reserved1,
	kFeedbackItem_Reserved2Label,
	kFeedbackItem_Reserved2,
	kFeedbackItem_Reserved3Label,
	kFeedbackItem_Reserved3,
	kFeedbackItem_VirtualSourceCountLabel,
	kFeedbackItem_VirtualSourceCount,
	kFeedbackItem_COUNT,
	kFeedbackItem_ExpectedCount = 45
};

// Dialog items for kDlogID_TestLoLevel
enum {
	kLoLevelItem_Update		= 1,			// Button
	kLoLevelItem_UpdateHilite,				// User item -- default button hilite
	kLoLevelItem_Progress,					// User item -- progress bar
	kLoLevelItem_DurationLabel,				// Static text
	kLoLevelItem_Duration,					// Editable text
	kLoLevelItem_DurationUnits,				// Static text
	kLoLevelItem_CPULoadLabel,				// Static text
	kLoLevelItem_CPULoad1,					// Editable text
	kLoLevelItem_CPULoad2,					// Editable text
	kLoLevelItem_CPULoadUnits,				// Static text
	kLoLevelItem_Medium,					// Control -- pop-up
	kLoLevelItem_HumidityLabel,				// Static text
	kLoLevelItem_Humidity1,					// Editable text
	kLoLevelItem_Humidity2,					// Editable text
	kLoLevelItem_HumidityUnits,				// Static text
	kLoLevelItem_RoomSizeLabel,				// Static text
	kLoLevelItem_RoomSize1,					// Editable text
	kLoLevelItem_RoomSize2,					// Editable text
	kLoLevelItem_RoomSizeUnits,				// Static text
	kLoLevelItem_RoomReflectivityLabel,		// Static text
	kLoLevelItem_RoomReflectivity1,			// Editable text
	kLoLevelItem_RoomReflectivity2,			// Editable text
	kLoLevelItem_RoomReflectivityUnits,		// Static text
	kLoLevelItem_ReverbAttenuationLabel,	// Static text
	kLoLevelItem_ReverbAttenuation1,		// Editable text
	kLoLevelItem_ReverbAttenuation2,		// Editable text
	kLoLevelItem_ReverbAttenuationUnits,	// Static text
	kLoLevelItem_SourceMode,				// Control -- pop-up
	kLoLevelItem_ReferenceDistanceLabel,	// Static text
	kLoLevelItem_ReferenceDistance1,		// Editable text
	kLoLevelItem_ReferenceDistance2,		// Editable text
	kLoLevelItem_ReferenceDistanceUnits,	// Static text
	kLoLevelItem_ConeAngleDegLabel,			// Static text
	kLoLevelItem_ConeAngleDeg1,				// Editable text
	kLoLevelItem_ConeAngleDeg2,				// Editable text
	kLoLevelItem_ConeAngleDegUnits,			// Static text
	kLoLevelItem_ConeAttenuationLabel,		// Static text
	kLoLevelItem_ConeAttenuation1,			// Editable text
	kLoLevelItem_ConeAttenuation2,			// Editable text
	kLoLevelItem_ConeAttenuationUnits,		// Static text
	kLoLevelItem_ElevationDegLabel,			// Static text
	kLoLevelItem_ElevationDeg1,				// Editable text
	kLoLevelItem_ElevationDeg2,				// Editable text
	kLoLevelItem_ElevationDegUnits,			// Static text
	kLoLevelItem_AzimuthDegLabel,			// Static text
	kLoLevelItem_AzimuthDeg1,				// Editable text
	kLoLevelItem_AzimuthDeg2,				// Editable text
	kLoLevelItem_AzimuthDegUnits,			// Static text
	kLoLevelItem_DistanceLabel,				// Static text
	kLoLevelItem_Distance1,					// Editable text
	kLoLevelItem_Distance2,					// Editable text
	kLoLevelItem_DistanceUnits,				// Static text
	kLoLevelItem_ProjectionAngleDegLabel,	// Static text
	kLoLevelItem_ProjectionAngleDeg1,		// Editable text
	kLoLevelItem_ProjectionAngleDeg2,		// Editable text
	kLoLevelItem_ProjectionAngleDegUnits,	// Static text
	kLoLevelItem_SourceVelocityLabel,		// Static text
	kLoLevelItem_SourceVelocity1,			// Editable text
	kLoLevelItem_SourceVelocity2,			// Editable text
	kLoLevelItem_SourceVelocityUnits,		// Static text
	kLoLevelItem_ListenerVelocityLabel,		// Static text
	kLoLevelItem_ListenerVelocity1,			// Editable text
	kLoLevelItem_ListenerVelocity2,			// Editable text
	kLoLevelItem_ListenerVelocityUnits,		// Static text
	kLoLevelItem_COUNT,
	kLoLevelItem_ExpectedCOUNT	= 65
};

// Dialog items for kDlogID_TestHiLevel
enum {
	kHiLevelItem_Update		= 1,			// Button
	kHiLevelItem_UpdateHilite,				// User item -- default button hilite
	kHiLevelItem_Progress,					// User item -- progress bar
	kHiLevelItem_DurationLabel,				// Static text
	kHiLevelItem_Duration,					// Editable text
	kHiLevelItem_DurationUnits,				// Static text
	
	kHiLevelItem_ListenerLabel,				// Static text
	kHiLevelItem_ListenerTranslateLabel,	// Static text
	kHiLevelItem_ListenerTranslate1,		// Editable text
	kHiLevelItem_ListenerTranslate2,		// Editable text
	kHiLevelItem_ListenerRotationAxisLabel,	// Static text
	kHiLevelItem_ListenerRotationAxis1,		// Editable text
	kHiLevelItem_ListenerRotationAxis2,		// Editable text
	kHiLevelItem_ListenerRotationAngleLabel,// Static text
	kHiLevelItem_ListenerRotationAngle1,	// Editable text
	kHiLevelItem_ListenerRotationAngle2,	// Editable text
	kHiLevelItem_ListenerScaleLabel,		// Static text
	kHiLevelItem_ListenerScale1,			// Editable text
	kHiLevelItem_ListenerScale2,			// Editable text
	kHiLevelItem_ListenerPositionLabel,		// Static text
	kHiLevelItem_ListenerPosition1,			// Editable text
	kHiLevelItem_ListenerPosition2,			// Editable text
	kHiLevelItem_ListenerOrientationLabel,	// Static text
	kHiLevelItem_ListenerOrientation1,		// Editable text
	kHiLevelItem_ListenerOrientation2,		// Editable text
	kHiLevelItem_ListenerUpVectorLabel,		// Static text
	kHiLevelItem_ListenerUpVector1,			// Editable text
	kHiLevelItem_ListenerUpVector2,			// Editable text
	kHiLevelItem_ListenerVelocityLabel,		// Static text
	kHiLevelItem_ListenerVelocity1,			// Editable text
	kHiLevelItem_ListenerVelocity2,			// Editable text
	kHiLevelItem_ListenerActualVelocityLabel,// Static text
	kHiLevelItem_ListenerActualVelocity,	// Static text
	
	kHiLevelItem_Medium,					// Control -- popup menu
	kHiLevelItem_HumidityLabel,				// Static text
	kHiLevelItem_Humidity1,					// Editable text
	kHiLevelItem_Humidity2,					// Editable text
	kHiLevelItem_HumidityUnits,				// Static text
	kHiLevelItem_RoomSizeLabel,				// Static text
	kHiLevelItem_RoomSize1,					// Editable text
	kHiLevelItem_RoomSize2,					// Editable text
	kHiLevelItem_RoomSizeUnits,				// Static text
	kHiLevelItem_RoomReflectivityLabel,		// Static text
	kHiLevelItem_RoomReflectivity1,			// Editable text
	kHiLevelItem_RoomReflectivity2,			// Editable text
	kHiLevelItem_RoomReflectivityUnits,		// Static text
	kHiLevelItem_ReverbAttenuationLabel,	// Static text
	kHiLevelItem_ReverbAttenuation1,		// Editable text
	kHiLevelItem_ReverbAttenuation2,		// Editable text
	kHiLevelItem_ReverbAttenuationUnits,	// Static text
	kHiLevelItem_CPULoadLabel,				// Static text
	kHiLevelItem_CPULoad1,					// Editable text
	kHiLevelItem_CPULoad2,					// Editable text
	kHiLevelItem_CPULoadUnits,				// Static text

	kHiLevelItem_SourceLabel,				// Static text
	kHiLevelItem_SourceTranslateLabel,		// Static text
	kHiLevelItem_SourceTranslate1,			// Editable text
	kHiLevelItem_SourceTranslate2,			// Editable text
	kHiLevelItem_SourceRotationAxisLabel,	// Static text
	kHiLevelItem_SourceRotationAxis1,		// Editable text
	kHiLevelItem_SourceRotationAxis2,		// Editable text
	kHiLevelItem_SourceRotationAngleLabel,	// Static text
	kHiLevelItem_SourceRotationAngle1,		// Editable text
	kHiLevelItem_SourceRotationAngle2,		// Editable text
	kHiLevelItem_SourceScaleLabel,			// Static text
	kHiLevelItem_SourceScale1,				// Editable text
	kHiLevelItem_SourceScale2,				// Editable text
	kHiLevelItem_SourcePositionLabel,		// Static text
	kHiLevelItem_SourcePosition1,			// Editable text
	kHiLevelItem_SourcePosition2,			// Editable text
	kHiLevelItem_SourceOrientationLabel,	// Static text
	kHiLevelItem_SourceOrientation1,		// Editable text
	kHiLevelItem_SourceOrientation2,		// Editable text
	kHiLevelItem_SourceUpVectorLabel,		// Static text
	kHiLevelItem_SourceUpVector1,			// Editable text
	kHiLevelItem_SourceUpVector2,			// Editable text
	kHiLevelItem_SourceVelocityLabel,		// Static text
	kHiLevelItem_SourceVelocity1,			// Editable text
	kHiLevelItem_SourceVelocity2,			// Editable text
	kHiLevelItem_SourceActualVelocityLabel,	// Static text
	kHiLevelItem_SourceActualVelocity,		// Static text

	kHiLevelItem_SourceMode,				// Control -- popup menu
	kHiLevelItem_ReferenceDistanceLabel,	// Static text
	kHiLevelItem_ReferenceDistance1,		// Editable text
	kHiLevelItem_ReferenceDistance2,		// Editable text
	kHiLevelItem_ReferenceDistanceUnits,	// Static text
	kHiLevelItem_LengthLabel,				// Static text
	kHiLevelItem_Length1,					// Editable text
	kHiLevelItem_Length2,					// Editable text
	kHiLevelItem_LengthUnits,				// Static text
	kHiLevelItem_WidthLabel,				// Static text
	kHiLevelItem_Width1,					// Editable text
	kHiLevelItem_Width2,					// Editable text
	kHiLevelItem_WidthUnits,				// Static text
	kHiLevelItem_HeightLabel,				// Static text
	kHiLevelItem_Height1,					// Editable text
	kHiLevelItem_Height2,					// Editable text
	kHiLevelItem_HeightUnits,				// Static text
	kHiLevelItem_ConeAngleDegLabel,			// Static text
	kHiLevelItem_ConeAngleDeg1,				// Editable text
	kHiLevelItem_ConeAngleDeg2,				// Editable text
	kHiLevelItem_ConeAngleDegUnits,			// Static text
	kHiLevelItem_ConeAttenuationLabel,		// Static text
	kHiLevelItem_ConeAttenuation1,			// Editable text
	kHiLevelItem_ConeAttenuation2,			// Editable text
	kHiLevelItem_ConeAttenuationUnits,		// Static text
	
	kHiLevelItem_COUNT,
	kHiLevelItem_ExpectedCOUNT	= 107
};

// MBARs
enum {
	kMBarID_Main			= 128
};

// MENUs
enum {
	kMenuID_Apple			= 128,
	kMenuID_File,
	kMenuID_Sound,
	kMenuID_Interpolation,
	kMenuID_LoLevelPreset,
	kMenuID_HiLevelPreset
};

// Apple menu items
enum {
	kAppleItem_About		= 1
};

// File menu items
enum {
	kFileItem_RunQuiet		= 1,
	kFileItem_1,
	kFileItem_Config3DSound,
	kFileItem_2,
	kFileItem_Quit
};

// Sound menu items
enum {
	kSoundItem_Silence		= 1,
	kSoundItem_1,
	kSoundItem_FirstSound
};

// Interpolation menu items
enum {
	kInterpolationItem_Sinusoidal	= 1,
	kInterpolationItem_Triangular,
	kInterpolationItem_Sawtooth
};

// Medium popup menu items
enum {
	kMediumItem_Air			= 1,
	kMediumItem_Water
};

// Source Mode popup menu items
enum {
	kSourceModeItem_Unfiltered	= 1,
	kSourceModeItem_Localized,
	kSourceModeItem_Ambient,
	kSourceModeItem_Binaural
};


#endif /* __TS3Resource__ */