#
#	File:		PrinterClassDriver.make
#
#	Contains:	USB Printer Class Driver makefile
#
#	Version:	1.0d4
#
#	Copyright:	 1997-1998 by Apple Computer, Inc., all rights reserved.
#
#

#   File:       PrinterClassDriver.make
#   Target:     PrinterClassDriver
#   Sources:    PrinterClassDriver.c
#   Created:    Thursday, December 4, 1997 01:42:02 PM


MAKEFILE     = PrinterClassDriver.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

		
#
#	include paths
#
Includes     = -i {USBInterfacesInternal},{USBInterfacesExternal}

#
#	symbol options
#
SymPPC      =  -sym on
Sym68K      =  -sym on

#
#	object directories
#
ObjDirPPC   = {USBObjects}
ObjDir68K   = {USBObjects}

PrintDriverTarget	= {USBTargets}Drivers:USBPrintDriver
		
#
#	compiler options
#
#PPCCOptions  = {Includes} {SymPPC}  {NeptuneCOptions}  -d DEBUG=1 -align mac68k
#COptions     = {Includes} {Sym68K} -d DEBUG=1 -b
PPCCOptions  = {Includes} {SymPPC}  {NeptuneCOptions}  -align mac68k
COptions     = {Includes} {Sym68K} -b

		
#
#	PPC and 68K objects
#
ObjectsPPC  =												
		"{ObjDirPPC}PrinterClassDriver.c.x"		
		"{ObjDirPPC}PrintDriverShell.c.x"			
		"{ObjDirPPC}TradDriverLoaderLib.c.x"		
		"{ObjDirPPC}MissingLibraryRoutines.c.x"
Objects68K  =												
		"{ObjDir68K}DrvrGlue.a.o" 					
		"{ObjDir68K}USBPrint.c.o"


PrinterClassDriver  {PrintDriverTarget}


"{USBReleaseExtensions}USBPrintDriver"   "{PrintDriverTarget}" 
		duplicate -y "{PrintDriverTarget}"  {Targ}

{PrintDriverTarget}		
						"{USBInterfacesInternal}PackageVersion.h"	
						"PrinterClassVersion.h"							
						"PrinterClassDriver.r"							
						{MondoBuild}
	Rez																		
		-i "{USBInterfacesInternal}"									
		-i "{RIncludes}"													
		"{RIncludes}Types.r"												
		"PrinterClassDriver.r"											
		-a																		
		-o {Targ}
		
#
#	legacy DRVR is compiled with 68K compiler
#		and added into the USBPrintDriver file
#
{PrintDriverTarget}  
							{MondoBuild} 								
							{Objects68K}
	Link -o {Targ} -d {Sym68K}										
		{Objects68K}														
		-sg USBPrintDriver												
		-rt 'DRVR=12'				 -sym on								
		-ra USBPrintDriver=resSysHeap,resLocked


#
#	printer class driver is compiled with PPC compiler
#		and added into the USBPrintDriver file
#
{PrintDriverTarget}  													
				{MondoBuild} 											
				{ObjectsPPC}												
				"{USBInterfacesInternal}USBClassDriver.exp"
	PPCLink 																	
	 -map "{USBMapDir}USBPrinterDriver.map	"						
	 	-init CFMInitialization											
		-t 'ndrv'															
		-c 'usbd' -d														
		-o {PrintDriverTarget} {SymPPC}								
		{ObjectsPPC} 														
		-xm sharedlibrary													
		-share context														
		-@export "{USBInterfacesInternal}USBClassDriver.exp"	
		"{USBLibraries}USBServicesLib" 								
		"{SharedLibraries}DriverServicesLib" 						
		"{SharedLibraries}NameRegistryLib"							
		"{SharedLibraries}StdCLib"										
		"{SharedLibraries}InterfaceLib" 								
		"{SharedLibraries}DriverLoaderLib"							
		"{PPCLibraries}PPCCRuntime.o"


#
#	printer class driver
#
"{ObjDirPPC}PrinterClassDriver.c.x"  {MondoBuild} PrinterClassDriver.c 	
										"{USBInterfacesExternal}USB.h"				
                                   PrinterClassDriver.h
	{PPCC} PrinterClassDriver.c -o {Targ} {PPCCOptions}

#
#	auxillary routines to load the DRVR into the unit table
#
"{ObjDirPPC}TradDriverLoaderLib.c.x"  {MondoBuild} TradDriverLoaderLib.c 		
                                   TradDriverLoaderLib.h
	{PPCC} TradDriverLoaderLib.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MissingLibraryRoutines.c.x"  {MondoBuild} MissingLibraryRoutines.c
	{PPCC} MissingLibraryRoutines.c -o {Targ} {PPCCOptions}


#
#	printer class driver USB interfaces
#
"{ObjDirPPC}PrintDriverShell.c.x"  {MondoBuild} PrintDriverShell.c 	
										"{USBInterfacesInternal}PackageVersion.h"	
 										"{USBInterfacesExternal}USB.h"				
                                 PrinterClassDriver.h
	{PPCC} PrintDriverShell.c -o {Targ} {PPCCOptions}

#
#	legacy DRVR system interface 68K asm
#
"{ObjDir68K}DrvrGlue.a.o"  {MondoBuild} DrvrGlue.a
	{Asm} DrvrGlue.a -o {Targ} {AOptions}

#
#	legacy DRVR implementation
#
"{ObjDir68K}USBPrint.c.o"  {MondoBuild} USBPrint.c PrinterClassDriver.h
	{C} USBPrint.c -o {Targ} {COptions}


#
#	clean all the binaries before building
#
Clean 
	Delete -i {ObjectsPPC}
	Delete -i {Objects68K}
	Delete -i {PrintDriverTarget} 

# eof
